#ifndef ICD_BRIDGE_H
#define ICD_BRIDGE_H


int icd_bridge_wait_ack(icd_caller *that);
int icd_bridge_call(icd_caller *bridger,icd_caller *bridgee, int allowredirect_in, int allowredirect_out, int allowdisconnect);

struct ast_channel *icd_request_and_dial(char *type, int format, void *data, int timeout, int *outstate, char *callerid,icd_caller *caller,icd_caller *peer,icd_caller_state req_state);

/* This is the function icd_caller calls to translate strings into an asterisk channel */
struct ast_channel *icd_bridge_get_asterisk_channel(char *chanstring, char *context, char *priority, char *extension);

/* This is the function that icd_caller calls to dial out, typically for onhook agents */
int icd_bridge_dial_asterisk_channel(icd_caller *caller, char *chanstring, int timeout);


/* check the hangup status of the caller's chan (frontended for future cross compatibility) */
int icd_bridge__check_hangup(icd_caller *that);
    
void icd_bridge__safe_hangup(icd_caller *caller);

/* lift from * when we need to sleep a live up channel for wrapup */
int icd_safe_sleep(struct ast_channel *chan, int ms);

int icd_bridge__wait_call_customer(icd_caller *that);
int icd_bridge__wait_call_agent(icd_caller *that);
void icd_bridge__unbridge_caller(icd_caller *caller, icd_unbridge_flag ubf);
void icd_bridge__parse_ubf(icd_caller *caller, icd_unbridge_flag ubf);
void icd_bridge__remasq(icd_caller *caller);


int icd_bridge__play_sound_file(struct ast_channel *chan,char *file);
#endif
