#ifndef ICD_COMMON_H

#define ICD_COMMON_H

/* Standard libraries */
#include <assert.h>
#include <pthread.h>
#include <sched.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <netinet/in.h>

/* Asterisk Libraries */
#include <asterisk/file.h>
#include <asterisk/say.h>
#include <asterisk/logger.h>
#include <asterisk/utils.h>
#include <asterisk/options.h>
#include <asterisk/channel.h>
#include <asterisk/pbx.h>
#include <asterisk/module.h>
#include <asterisk/musiconhold.h>
#include <asterisk/cli.h>
#include <asterisk/config.h>
#include <asterisk/channel_pvt.h>
#include <asterisk/manager.h>
#include <asterisk/features.h>

/* ICD Libraries */
#include <icd_fieldset.h>
#include <icd_listeners.h>
#include <icd_event.h>
#include <voidhash.h>
#include <icd_config.h>
#include <icd_types.h>
#include <icd_globals.h>
#include <icd_plugable_fn.h>

/* 
   Support for pre/post 1.0 rendition of ast_set_(read/write)_format.
   Add the CFLAG -DAST_POST_10 in make.conf to get the 3 arg version *default*
   or comment it to get the 2 arg version.
   This is obsolete as of 06/01/2004 do we nuke this macros 
*/

#ifdef AST_POST_10
#define icd_set_read_format(chan,fmt) ast_set_read_format(chan,fmt,0);
#define icd_set_write_format(chan,fmt) ast_set_write_format(chan,fmt,0);
#else
#define icd_set_read_format(chan,fmt) ast_set_read_format(chan,fmt);
#define icd_set_write_format(chan,fmt) ast_set_write_format(chan,fmt);
#endif
#endif


